﻿using System;

namespace Geometry
{
	/// <summary>
	/// Кръг
	/// </summary>
	public class Circle : Shape
	{
		/// <summary>
		/// Радиус на кръга
		/// </summary>
		public double Radius;

		/// <summary>
		/// Център на кръга
		/// </summary>
		public Point Center;

		public override void Move(Vector vector)
		{
			this.Center.X += vector.X;
			this.Center.Y += vector.Y;
		}

		public override double GetSurface()
		{
			return Math.PI * Math.Pow(this.Radius, 2);
		}
	}
}
