﻿using System;

namespace DelegatesAndEvents
{
	internal class Program
	{
		public static void Main(string[] args)
		{
			string text = "Обичам да пия, да пуша и ям!...";

			var detector = new EgocentricDetector(text);
			detector.StatusChanged += OnProcessStatus;
			detector.Process(OnEgoFound);
			detector.StatusChanged -= OnProcessStatus;

			Console.ReadLine();
		}

		private static void OnEgoFound(string word)
		{
			Console.WriteLine("Намерих его '{0}'!", word);
		}

		private static void OnProcessStatus(int currentWord, int totalWords)
		{
			Console.WriteLine("Стигнах до дума #{0} от общо {1}.", currentWord, totalWords);
		}
	}
}
